2019-01-14 05:17 PM - Peter Gipper

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Processing/Core

Affected QGIS version:3.4.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28816

Description

When trying to use one of the shortest path algorithms, e.g. point to point, the resulting path does not follow the network everywhere, but it

takes shortcuts (please see attached screenshot).

Steps to reproduce:

    1. Load the attached 'network' Line-Layer

    2. Create a path with the processing algorithm "shortest path (point to point)"

The other tools show the same problem (layer to point, point to layer)

Associated revisions

Revision e75a8882 - 2019-01-22 10:20 AM - Nyall Dawson

Fix shortest path algorithm can "shortcut" when using network in geographic coordinates

Fixes #20997

Revision a3428e5f - 2019-01-24 03:22 AM - Nyall Dawson

Fix shortest path algorithm can "shortcut" when using network in geographic coordinates

Fixes #20997

(cherry picked from commit e75a88825665e7bb43c6c3cd1b2c22037cd29784)

History

#1 - 2019-01-17 01:01 PM - Giovanni Manghi

- Priority changed from Normal to High

Tagging as high as result is wrong (tested also on Linux).

#2 - 2019-01-22 08:09 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#3 - 2019-01-22 10:19 AM - Nyall Dawson

2025-04-26 1/2



- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|e75a88825665e7bb43c6c3cd1b2c22037cd29784.

Files

network.geojson 2 KB 2019-01-14 Peter Gipper

network_bug.png 25.1 KB 2019-01-14 Peter Gipper
